import React from 'react';

const TrashIcon = () => {
  const styles = {
    fill: 'none',
    stroke: 'rgb(50, 49, 54)',
    strokeLinecap: 'round',
    strokeLinejoin: 'round',
    strokeWidth: '1.8px'
  };
  return /*#__PURE__*/React.createElement("svg", {
    id: "Layer_1",
    "data-name": "Layer 1",
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 20 20",
    style: {
      width: 15
    }
  }, /*#__PURE__*/React.createElement("polyline", {
    style: styles,
    points: "17.96 4.31 2.04 4.3 3.75 4.3 4.81 17.29 5.16 17.96 5.74 18.47 6.59 18.62 13.64 18.62 14.52 18.32 15.07 17.68 15.29 17.12 16.28 4.3 12.87 4.3 12.87 2.38 12.48 1.75 11.83 1.46 8.4 1.46 7.64 1.68 7.26 2.21 7.16 2.52 7.17 4.23"
  }));
};

export default TrashIcon;
export const LinearIcon = () => {
  const styles = {
    fill: 'none',
    stroke: '#323136',
    strokeLinecap: 'round',
    strokeLinejoin: 'round',
    strokeWidth: '1.8px'
  };
  return /*#__PURE__*/React.createElement("svg", {
    id: "Layer_1",
    "data-name": "Layer 1",
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 20 20",
    style: {
      width: 14
    }
  }, /*#__PURE__*/React.createElement("polyline", {
    style: styles,
    points: "0.9 12.73 0.9 19.1 7.27 19.1 0.9 19.1 19.1 0.9 12.73 0.9 19.1 0.9 19.1 7.27"
  }));
};
export const RadialIcon = () => {
  const styles = {
    fill: 'none',
    stroke: '#323136',
    strokeMiterlimit: 10,
    strokeWidth: '1.8px'
  };
  return /*#__PURE__*/React.createElement("svg", {
    id: "Layer_1",
    "data-name": "Layer 1",
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 20 20",
    style: {
      width: 15
    }
  }, /*#__PURE__*/React.createElement("circle", {
    style: styles,
    cx: "10",
    cy: "10",
    r: "9"
  }), /*#__PURE__*/React.createElement("circle", {
    style: styles,
    cx: "10",
    cy: "10",
    r: "5"
  }));
};
export const MenuIcon = () => {
  const styles = {
    fill: 'rgb(50, 49, 54)',
    stroke: 'rgb(50, 49, 54)',
    strokeLinecap: 'round',
    strokeLinejoin: 'round',
    strokeWidth: '1.8px'
  };
  return /*#__PURE__*/React.createElement("svg", {
    id: "Layer_1",
    "data-name": "Layer 1",
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 20 20",
    style: {
      width: 14
    }
  }, /*#__PURE__*/React.createElement("circle", {
    style: styles,
    cx: "2.42",
    cy: "10",
    r: "1.42"
  }), /*#__PURE__*/React.createElement("circle", {
    style: styles,
    cx: "10",
    cy: "10",
    r: "1.42"
  }), /*#__PURE__*/React.createElement("circle", {
    style: styles,
    cx: "17.58",
    cy: "10",
    r: "1.42"
  }));
};
export const DropperIcon = () => {
  const style1 = {
    fill: 'none',
    stroke: '#231f20',
    strokeLinecap: 'round',
    strokeLinejoin: 'round',
    strokeWidth: '1.4px'
  };
  const style2 = {
    fill: '#231f20',
    stroke: '#231f20',
    strokeLinecap: 'round',
    strokeLinejoin: 'round',
    strokeWidth: '1.4px'
  };
  return /*#__PURE__*/React.createElement("svg", {
    id: "Layer_1",
    "data-name": "Layer 1",
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 20 20",
    style: {
      width: 16
    }
  }, /*#__PURE__*/React.createElement("path", {
    style: style1,
    d: "M15.6,7h0L7.78,14.86c-.37.37-1.61.38-2,.75s-.5,1.53-.76,2a3.53,3.53,0,0,1-.52.52,1.6,1.6,0,0,1-2.27-.06l-.32-.32a1.61,1.61,0,0,1-.06-2.27A3.25,3.25,0,0,1,2.4,15c.47-.26,1.65-.35,2-.73s.34-1.64.71-2c1.68-1.73,5.61-5.65,7.91-7.93h0l1.14,1.38L15.6,7Z"
  }), /*#__PURE__*/React.createElement("polygon", {
    style: style2,
    points: "15.7 8.87 11.13 4.29 12.69 2.73 17.25 7.31 15.7 8.87"
  }), /*#__PURE__*/React.createElement("path", {
    style: style2,
    d: "M18.18,3.71,16.36,5.53a1.33,1.33,0,0,1-1.88,0h0a1.34,1.34,0,0,1,0-1.89l1.81-1.82a1.34,1.34,0,0,1,1.89,0h0A1.34,1.34,0,0,1,18.18,3.71Z"
  }));
};